Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Database..::.Put Method (MultipleKeyDatabaseEntry)
Database Class See Also Send Feedback

Store multiple data items using keys from the buffer to which the key parameter refers and data values from the buffer to which the data parameter refers. A successful bulk operation is logically equivalent to a loop through each key/data pair, performing a Put for each one.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public void Put(
    	MultipleKeyDatabaseEntry key
    )

Visual Basic (Declaration)
    Public Sub Put ( _
    	key As MultipleKeyDatabaseEntry _
    )

Visual C++
    public:
    void Put(
    	MultipleKeyDatabaseEntry^ key
    )

#### Parameters

key
  Type: BerkeleyDB..::.MultipleKeyDatabaseEntry
  Multiple key/data pairs to store in the database

# Remarks

# See Also

Database Class
Put Overload
BerkeleyDB Namespace